Bug 77199

Summary: Upgrade and unbreak polish/ooodict_PL
Product: Ports & Packages Reporter: IIJIMA Hiromitsu <isunin>
Component: Individual Port(s)Assignee: freebsd-openoffice (Nobody) <openoffice>
Status: Closed FIXED    
Severity: Affects Only Me    
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   

Description IIJIMA Hiromitsu 2005-02-07 09:20:10 UTC
polish/ooodict_PL's master port, editors/ooodict-all, is no longer broken.
so please unbreak polish/ooodict_PL too.

Fix: 

Upgrade according to ooodict-all.
How-To-Repeat: see ports/editors/ooodict-all/Makefile to confirm it is no longer broken.
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2005-02-08 09:32:55 UTC
Responsible Changed
From-To: freebsd-ports-bugs->openoffice

Over to maintainer.
Comment 2 Mikhail Teterin 2005-02-20 19:40:56 UTC
The dictionary maintainers routinely update the files and don't do
much version tracking, leading to the perpetual brokennes of the
editors/ooodict-all and the client ports.

Since the dictionaries are purely data anyway, do we really care to
verify the checksums every time?

Perhaps, removing the port's distinfo and adding the line:
	IGNOREFILES=	${DISTFILES}

Automatic PLIST generation may also be needed in this case -- not sure.

Compared with having a permanently broken port (and with not having this
useful functionality at all), this may be best way...

Please, try the patch below. Thanks!

	-mi

P.S. This will also help in
	http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/77198

Index: Makefile
===================================================================
RCS file: /home/pcvs/ports/editors/ooodict-all/Makefile,v
retrieving revision 1.27
diff -U2 -r1.27 Makefile
--- Makefile	18 Dec 2004 23:02:24 -0000	1.27
+++ Makefile	20 Feb 2005 19:34:05 -0000
@@ -20,8 +20,4 @@
 EXTRACT_ONLY=
 
-BROKEN=		"Checksum mismatch"
-EXPIRATION_DATE=2005-02-18
-DEPRECATED=	${BROKEN}
-
 .if !defined(LANGDIST)
 DICTMETAPORT=	yes
@@ -31,5 +27,5 @@
 		it_IT.zip pl_PL.zip pt_PT.zip pt_BR.zip \
 		es_ES.zip sk_SK.zip sv_SE.zip el_GR.zip \
-		ru_RU_io.zip uk_UA.zip
+		ru_RU_yo.zip uk_UA.zip
 
 HYPHDIST?=	hyph_cs_CZ.zip hyph_da_DK.zip hyph_de_DE.zip \
@@ -39,4 +35,5 @@
 		hyph_sk_SK.zip hyph_sl_SI.zip hyph_uk_UA.zip
 .endif
+IGNOREFILES=	${DISTFILES}
 
 CUT?=	/usr/bin/cut
@@ -46,11 +43,11 @@
 BUILD_DEPENDS=	unzip:${PORTSDIR}/archivers/unzip
 .if !defined(INSTALLATION_BASEDIR)
-INSTALLATION_BASEDIR=	OpenOffice.org1.0
+INSTALLATION_BASEDIR=	OpenOffice.org1.1.4
 .if defined(RDEP)
 BUILD_DEPENDS=	${DICT_LIST_INST}:${RDEP}
 RUN_DEPENDS=	${DICT_LIST_INST}:${RDEP}
 .else
-BUILD_DEPENDS=	${DICT_LIST_INST}:${PORTSDIR}/editors/openoffice-1.0
-RUN_DEPENDS=	${DICT_LIST_INST}:${PORTSDIR}/editors/openoffice-1.0
+BUILD_DEPENDS=	${DICT_LIST_INST}:${PORTSDIR}/editors/openoffice-1.1
+RUN_DEPENDS=	${DICT_LIST_INST}:${PORTSDIR}/editors/openoffice-1.1
 .endif
 .endif
Comment 3 Maho Nakata freebsd_committer 2005-02-21 10:06:23 UTC
State Changed
From-To: open->closed

Committed, thanks!